Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/ghex: new aport

From: AmatCoder <amatcoder_at_gmail.com>
Date: Thu, 15 Jan 2015 23:49:01 +0000

---
 testing/ghex/APKBUILD | 47 +++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 47 insertions(+)
 create mode 100644 testing/ghex/APKBUILD
diff --git a/testing/ghex/APKBUILD b/testing/ghex/APKBUILD
new file mode 100644
index 0000000..7009e90
--- /dev/null
+++ b/testing/ghex/APKBUILD
_at_@ -0,0 +1,47 @@
+# Contributor: August Klein <amatcoder_at_gmail.com>
+# Maintainer: August Klein <amatcoder_at_gmail.com>
+pkgname=ghex
+pkgver=3.10.1
+pkgrel=0
+pkgdesc="A hex editor for GNOME"
+url="https://wiki.gnome.org/Apps/Ghex"
+arch="all"
+license="GPL"
+depends="dconf"
+depends_dev="gtk+3.0-dev"
+makedepends="$depends_dev itstool"
+install=""
+subpackages="$pkgname-dev $pkgname-lang $pkgname-doc"
+source="http://ftp.gnome.org/pub/GNOME/sources/ghex/3.10/$pkgname-$pkgver.tar.xz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	./configure \
+		--build=$CBUILD \
+		--host=$CHOST \
+		--prefix=/usr \
+		--disable-schemas-compile \
+		|| return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" DATADIRNAME=share install || return 1
+	rm -f "$pkgdir"/usr/lib/*.la
+}
+
+md5sums="bcd5af85a8e127da29257c9ca6aad5ee  ghex-3.10.1.tar.xz"
+sha256sums="34b66cb5c84410c420df72f229d25aee5979e58048a246ed719b046f0c241132  ghex-3.10.1.tar.xz"
+sha512sums="bfb7f4af1c36698571ea176fd4bbba2ea11a337a8e02976da6b784bd5cc634a4b853e36918ebaeea382d680e796343838ce4709ac720da86755628894043c28c  ghex-3.10.1.tar.xz"
-- 
2.2.2
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Thu Jan 15 2015 - 23:49:01 GMT